import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        menuItems?: any[];
        childComponentInfo?: null;
        pattern?: string;
        defaultActionHandler?: null;
        componentScriptBasePath?: string;
        designMode?: boolean;
        panel_0_length?: string;
        treeViewSlot?: string;
        floorLevel?: number;
        floorId?: `${string}-${string}-${string}-${string}-${string}`;
        customEvents?: string[];
        getFloorId?: () => `${string}-${string}-${string}-${string}-${string}`;
        getComponentScriptBasePath?: () => string;
        getMenuItems?: () => any[];
        getAvailableFloorPatterns?: () => string[];
        setFloorPattern?: (newPattern: any) => any;
        getCurrentChildComponentInfo?: () => any;
        resetFloor?: () => any;
        removeTabFloor?: (tabIndexUpdateInfo: any) => any;
        update?: (focus?: boolean) => any;
    };
    events: {
        queryContainerInfo: CustomEvent<any>;
        designModeLayoutChanged: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type FloorProps = typeof __propDef.props;
export type FloorEvents = typeof __propDef.events;
export type FloorSlots = typeof __propDef.slots;
export default class Floor extends SvelteComponent<FloorProps, FloorEvents, FloorSlots> {
    get customEvents(): string[];
    get getFloorId(): () => `${string}-${string}-${string}-${string}-${string}`;
    get getComponentScriptBasePath(): () => string;
    get getMenuItems(): () => any[];
    get getAvailableFloorPatterns(): () => string[];
    get setFloorPattern(): (newPattern: any) => any;
    get getCurrentChildComponentInfo(): () => any;
    get resetFloor(): () => any;
    get removeTabFloor(): (tabIndexUpdateInfo: any) => any;
    get update(): (focus?: boolean) => any;
}
export {};
