import { SvelteComponent } from "svelte";
import type { Direction, HAlign, VAlign } from "./types.js";
declare const __propDef: {
    props: {
        direction?: Direction;
        reverse?: boolean;
        hAlign?: HAlign;
        vAlign?: VAlign;
        trapFocus?: boolean;
        defaultItemProps?: Record<string, any>;
        items?: any[];
        autoRegisterCustomEventsFromItemProps?: boolean;
        customEvents?: string[];
        clearRegisteredCustomEvents?: () => void;
    };
    events: {
        [x: string]: CustomEvent<unknown>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type StackPanelProps = typeof __propDef.props;
export type StackPanelEvents = typeof __propDef.events;
export type StackPanelSlots = typeof __propDef.slots;
export default class StackPanel extends SvelteComponent<StackPanelProps, StackPanelEvents, StackPanelSlots> {
    get customEvents(): string[];
    get clearRegisteredCustomEvents(): () => void;
}
export {};
