import type { Action } from "svelte/action";
type DragDirection = "horizontal" | "vertical";
interface DragGripParams {
    direction: DragDirection;
    panel_0: HTMLElement;
    panel_1: HTMLElement;
    panelSizeUpdater: (newSize: string) => void;
    showPanelResizingInfo: boolean;
    hidePanel?: boolean;
}
export declare const dragGrip: Action<HTMLElement, DragGripParams>;
export {};
