type SerializableObject = Record<string, unknown> | unknown[];
type KeyPredicate = (key: string) => boolean;
export declare const removeUnserializableProperties: (obj: SerializableObject, keyPredicate?: KeyPredicate, printLog?: boolean, keyPath?: string[]) => SerializableObject;
export declare const restoreUnserializableProperties: (obj: SerializableObject, scriptBase: string, printLog?: boolean, keyPath?: string[]) => Promise<SerializableObject>;
export {};
