import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        targetDate?: Date;
        autoSelectTargetDay?: boolean;
        autoFocusTargetDay?: boolean;
        monthNames?: string[];
        dayNamesOfWeek?: string[];
        disableAnimation?: boolean;
        animationDuration?: number;
    };
    events: {
        dateSelected: CustomEvent<{
            targetDate: Date;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type CalendarProps = typeof __propDef.props;
export type CalendarEvents = typeof __propDef.events;
export type CalendarSlots = typeof __propDef.slots;
export default class Calendar extends SvelteComponent<CalendarProps, CalendarEvents, CalendarSlots> {
}
export {};
