import { SvelteComponent } from "svelte";
import type { MenuItem } from "../ContextMenuMediator/types.js";
declare const __propDef: {
    props: {
        menus?: {
            name: string;
            items: MenuItem[];
        }[];
    };
    events: {
        menuItemClicked: CustomEvent<MenuItem>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type MenuBarProps = typeof __propDef.props;
export type MenuBarEvents = typeof __propDef.events;
export type MenuBarSlots = typeof __propDef.slots;
export default class MenuBar extends SvelteComponent<MenuBarProps, MenuBarEvents, MenuBarSlots> {
}
export {};
